using System.ComponentModel.DataAnnotations;
using System.Text.Json.Serialization;

namespace RobotNet.RobotManager.Services.OpenACS;

public class AGVLocation
{
    [JsonPropertyName("world_x")]
    [Required]
    public string X { get; set; } = "0";

    [JsonPropertyName("world_y")]
    [Required]
    public string Y { get; set; } = "0";

    [JsonPropertyName("world_z")]
    [Required]
    public string Z { get; set; } = "0";

    [JsonPropertyName("direction")]
    [Required]
    public string Direction { get; set; } = "0";
}
